Lead Management API
Our lead management API allows you to programmatically manage your leads generated in PeakIDX. You can use this API to retrieve new leads, create new leads, and update existing leads with new information. This can help you keep your CRM or other lead management system up to date with the latest leads from PeakIDX, and ensure that your lead information in PeakIDX is accurate and up to date based on data from your CRM or other lead management system.
Endpoints
If you want to programmatically manage your leads without using Zapier, you can use the following API endpoints:
New Leads
Description: This endpoint allows you to retrieve new leads that have been generated in PeakIDX since the last time you checked. You can use this endpoint to keep your CRM or other lead management system up to date with the latest leads from PeakIDX.
URL: https://account.peakidxsites.com/lead-api/new-leads
Method: GET
Required URL Parameters:
- idx_site_id: Your PeakIDX Site ID
- api_key: Your PeakIDX API key
Optional URL Parameters:
- lead_type: A comma separated list of lead type names. Leave this blank to include all leads. Built in lead types include: Inquiry, Property Inquiry, CMA Inquiry, Mortgage Quote
Create Lead
Description: This endpoint allows you to create a new lead in PeakIDX or update an existing lead with new information. You can use this endpoint to ensure that your lead information in PeakIDX is accurate and up to date based on data from your CRM or other lead management system.
URL: https://account.peakidxsites.com/lead-api/create-lead
Method: POST
Required URL Parameters:
- idx_site_id: Your PeakIDX Site ID
- api_key: Your PeakIDX API key
Request Body (Form Data)
The endpoint now accepts standard POST Form Fields. While you should include all fields for consistency, you may leave the values blank if the information is unavailable.
| Field Name | Description | Example Value |
|---|---|---|
| lead_id | Unique identifier for the lead | 12345 |
| lead_listing_id | Associated Listing ID | MLS-9982 |
| lead_type | Category of the lead | Inquiry |
| lead_first_name | Lead's given name | John |
| lead_last_name | Lead's family name | Doe |
| lead_email | Primary contact email | john.doe@example.com |
| lead_phone | Primary phone number | 555-0199 |
| lead_phone2 | Secondary phone number | 555-0200 |
| lead_created_datetime | Timestamp of lead creation | 2024-03-22 12:00:00 |
| lead_comments | Additional notes or context | Interested in lakeside properties. |
| lead_custom_fields | Formatted custom attributes | See Note below |
Note: lead_custom_fields value format should be as follows:
Label1: Value1
Label2: Value2
etc
Your PeakIDX Site ID and API key can be found in your PeakIDX dashboard under Sites, then clicking on the Admin dropdown menu (represented by a gear icon) next to your site name, and selecting API Key.
Zapier Integration
If you want to avoid custom programming, you can also use our Zapier Integration to connect to countless other apps that support Zapier to manage leads, including creating, updating, and retrieving lead information.